Create or update a workspace budget
curl --request PUT \
--url https://openrouter.ai/api/v1/workspaces/{id}/budgets/{interval} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"limit_usd": 100
}
'import requests
url = "https://openrouter.ai/api/v1/workspaces/{id}/budgets/{interval}"
payload = { "limit_usd": 100 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({limit_usd: 100})
};
fetch('https://openrouter.ai/api/v1/workspaces/{id}/budgets/{interval}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"created_at": "2025-08-24T10:30:00Z",
"id": "770e8400-e29b-41d4-a716-446655440000",
"limit_usd": 100,
"reset_interval": "monthly",
"updated_at": "2025-08-24T15:45:00Z",
"workspace_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": 400,
"message": "Invalid request parameters"
}
}{
"error": {
"code": 401,
"message": "Missing Authentication header"
}
}{
"error": {
"code": 404,
"message": "Resource not found"
}
}{
"error": {
"code": 500,
"message": "Internal Server Error"
}
}Workspaces
Create or update a workspace budget
Create or update the budget for a given interval. Budget limits must strictly decrease as the interval narrows (lifetime > monthly > weekly > daily). Management key required.
PUT
/
workspaces
/
{id}
/
budgets
/
{interval}
Create or update a workspace budget
Authorizations
API key as bearer token in Authorization header
Path Parameters
The workspace ID (UUID) or slug
Minimum string length:
1Example:
"production"
Budget reset interval. Use "lifetime" for a one-time budget that never resets.
Available options:
daily, weekly, monthly, lifetime Example:
"monthly"
Body
application/json
Spending limit in USD. Must be greater than 0.
Example:
100
Response
Budget created or updated successfully
The created or updated budget
Show child attributes
Show child attributes
Example:
{
"created_at": "2025-08-24T10:30:00Z",
"id": "770e8400-e29b-41d4-a716-446655440000",
"limit_usd": 100,
"reset_interval": "monthly",
"updated_at": "2025-08-24T15:45:00Z",
"workspace_id": "550e8400-e29b-41d4-a716-446655440000"
}
⌘I